Package org.opengis.cite.ogcapifeatures10

# Class OgcApiFeatures10

java.lang.Object
org.opengis.cite.ogcapifeatures10.OgcApiFeatures10

public class OgcApiFeatures10 extends Object
Contains various constants pertaining to WFS 3.0 specification and related standards.

Author:
  Lyn Goltz

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COLLECTIONS_LIMIT`
  Constant `COLLECTIONS_LIMIT=20`
  `static final int`
  `CRS_LIMIT`
  Constant `CRS_LIMIT=20`
  `static final String`
  `CRS_PARAMETER`
  Constant `CRS_PARAMETER="crs"`
  `static final CoordinateSystem`
  `DEFAULT_CRS`
  Constant `DEFAULT_CRS`
  `static final String`
  `DEFAULT_CRS_CODE`
  Conformance class: CRS
  `static final CoordinateSystem`
  `DEFAULT_CRS_WITH_HEIGHT`
  Constant `DEFAULT_CRS_WITH_HEIGHT`
  `static final String`
  `DEFAULT_CRS_WITH_HEIGHT_CODE`
  Constant `DEFAULT_CRS_WITH_HEIGHT_CODE="http://www.opengis.net/def/crs/OGC/0/CR"{trunked}`
  `static final int`
  `FEATURES_LIMIT`
  Constant `FEATURES_LIMIT=100`
  `static final String`
  `GEOJSON_MIME_TYPE`
  Constant `GEOJSON_MIME_TYPE="application/geo+json"`
  `static final int`
  `NUMBERMATCHED_LIMIT`
  Constant `NUMBERMATCHED_LIMIT=10000`
  `static final String`
  `OPEN_API_MIME_TYPE`
  Constant `OPEN_API_MIME_TYPE="application/vnd.oai.openapi+json;versio"{trunked}`
  `static final int`
  `PAGING_LIMIT`
  Constant `PAGING_LIMIT=3`
  `static final String`
  `UNSUPPORTED_CRS`
  Constant `UNSUPPORTED_CRS="http://www.opengis.net/def/crs/0/unsupp"{trunked}`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OPEN_API_MIME_TYPE

    public static final String OPEN_API_MIME_TYPE
    Constant `OPEN_API_MIME_TYPE="application/vnd.oai.openapi+json;versio"{trunked}`
    See Also:
      - Constant Field Values

  - ### GEOJSON_MIME_TYPE

    public static final String GEOJSON_MIME_TYPE
    Constant `GEOJSON_MIME_TYPE="application/geo+json"`
    See Also:
      - Constant Field Values

  - ### DEFAULT_CRS_CODE

    public static final String DEFAULT_CRS_CODE
    Conformance class: CRS
    See Also:
      - Constant Field Values

  - ### DEFAULT_CRS_WITH_HEIGHT_CODE

    public static final String DEFAULT_CRS_WITH_HEIGHT_CODE
    Constant `DEFAULT_CRS_WITH_HEIGHT_CODE="http://www.opengis.net/def/crs/OGC/0/CR"{trunked}`
    See Also:
      - Constant Field Values

  - ### DEFAULT_CRS

    public static final CoordinateSystem DEFAULT_CRS
    Constant `DEFAULT_CRS`

  - ### DEFAULT_CRS_WITH_HEIGHT

    public static final CoordinateSystem DEFAULT_CRS_WITH_HEIGHT
    Constant `DEFAULT_CRS_WITH_HEIGHT`

  - ### UNSUPPORTED_CRS

    public static final String UNSUPPORTED_CRS
    Constant `UNSUPPORTED_CRS="http://www.opengis.net/def/crs/0/unsupp"{trunked}`
    See Also:
      - Constant Field Values

  - ### CRS_PARAMETER

    public static final String CRS_PARAMETER
    Constant `CRS_PARAMETER="crs"`
    See Also:
      - Constant Field Values

  - ### PAGING_LIMIT

    public static final int PAGING_LIMIT
    Constant `PAGING_LIMIT=3`
    See Also:
      - Constant Field Values

  - ### COLLECTIONS_LIMIT

    public static final int COLLECTIONS_LIMIT
    Constant `COLLECTIONS_LIMIT=20`
    See Also:
      - Constant Field Values

  - ### CRS_LIMIT

    public static final int CRS_LIMIT
    Constant `CRS_LIMIT=20`
    See Also:
      - Constant Field Values

  - ### FEATURES_LIMIT

    public static final int FEATURES_LIMIT
    Constant `FEATURES_LIMIT=100`
    See Also:
      - Constant Field Values

  - ### NUMBERMATCHED_LIMIT

    public static final int NUMBERMATCHED_LIMIT
    Constant `NUMBERMATCHED_LIMIT=10000`
    See Also:
      - Constant Field Values